Search documentation of ExStreamClient

# ExStreamClient.Model.Quality (ExStreamClient v0.1.10)

View Source

Schema representing a Quality

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Quality{
      bitdepth: integer() | nil,
      framerate: integer() | nil,
      height: integer() | nil,
      name: String.t() | nil,
      video_bitrate: integer() | nil,
      width: integer() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()